/v3/api/sites/{siteId} (PUT) - BlueCat Edge - Service Point v4.x.x

BlueCat Edge User Guide

ft:locale
en-US
Product name
BlueCat Edge
Version
Service Point v4.x.x

Update an existing site. Note that all parameters are updated with this action, whether you specify values or not. If you leave a parameter out, its value will be overwritten with no data.

PUT https://api-<BlueCat.edge.url>/v3/api/sites
Authorization: Bearer token
Content-type: application/JSON
{
    "name": "the new site name", 
    "location": {
         "address": "123 Anystreet, Toronto"
         "lng": "-79.37566709999999",
         "lat": "43.6421529"                
     },
     "settings": {
         "timeZone":"Australia/Sydney",
         "associatedNamespaces": [ 
              {
              "id": "5721f5b9-fe9e-11e7-8bf7-0abb5ee73c46",
              "overridingFowarders": []
              }
          ]
      },
      "streamDataToCI": true,
      "loggingEndpointId": "123e4567-e89b-12d3-a456-426614174000",
      "identityServiceEnabled": true,
      "randomizeAddresses": false,
      "soaDefinition": {
          "authorityZone": "example.com",
          "mName": "ns.primaryserver.com",
          "rName": "admin.example.com",
          "minTTL": 200
      },
      "gslbTtl": 5,
      "healthCheckIds": [
          "3fa85f64-5717-4562-b3fc-2c963f66afa6"
      ],
      "gslbRuleIds": [
          "0196e75c-4779-75c4-bedf-ff4d27f3bd99"
      ]
}

Parameters

Name Description Type Required
name The name of the site. Maximum 128 characters; can't begin or end with a whitespace; can't contain " /" in the name.
Note: If you are using the Cisco Umbrella integration, the site name must be a maximum of 45 characters.
String Required
address The site address. Used to look up latitude, longitude, and time zone, if these aren't provided. String Required
lat and lng The latitude (must be a value between "90" and "-90") and longitude (must be a value between "-180" and "180") of the site. If omitted, BlueCat Edge will look this information up based the address. String Optional
timeZone Time zone: A list of permitted time zones is available at this link. Time zone is optional. If you don't specify a time zone, BlueCat Edge will look it up based on the latitude and longitude. If you specify coordinates of a location over a body of water, the default time zone (UTC) is assigned. String Optional
id (under associatedNamespaces) The ID of the user-defined, discovered, or recursive namespace associated with the site. If no namespace is specified, the default(s) will be applied.
Note:
  • You must configure a site with at least one namespace and the maximum number of namespaces is dependent on Edge licenses.
  • You can override the default forwarder IP addresses by entering a different IP address.
  • To ensure optimal latency in sites using more than three namespaces, BlueCat recommends using Domain Lists to configure appropriate routing criteria.
Integer Optional
overridingForwarders The IP address of a forwarder to override the default address(es) in the namespace. Integer Optional
streamDataToCI Sends DNS queries from a service point to the BlueCat Edge Cloud console. The default value is true. If the value is false, loggingEndpointId must have a value. Boolean Optional
loggingEndpointId The ID of local logging endpoint. If this parameter does not have a value, the service point will not send DNS queries to a local logging endpoint. String Optional
identityServiceEnabled Indicates whether DNS queries include a mapping of user IDs, in addition to client IP addresses. This information is retrieved by the identity service when Azure Event Hub is configured to use Microsoft Active Directory. This authorization allows requests to extract data from the event logs stored in Azure Event Hub. The default value is false. Boolean Optional
randomizeAddresses Indicates whether DNS Resolver Service shuffles responses in the Answer section that match the QTYPE of the query. The shuffled responses are limited to A, AAAA, MX, NS, PTR, and SRV QTYPES. Boolean Optional
soaDefinition Updates the SOA definition for DNS queries that are modified based on a BlueCat Edge policy, such as blocking a query or removing unhealthy answers. When enabled, enter the following information:
  • authorityZone—the FQDN of the DNS zone for which the SOA record is authoritative.
  • mName—the FQDN of the primary name server for the zone.
  • rName—the email address of the domain administrator, represented as a domain name. For example, admin.example.com
  • minTtl(Optional) the minimum TTL value of the zone, in seconds. The value must be between 0 and 86400 seconds inclusively. If left blank, the default value is 300 seconds.
String Optional
gslbTtl The maximum TTL for DNS responses sent to clients for queries that match a GSLB rule, in seconds. The value must be between 0 and 604800 seconds inclusively. The default value is 5 seconds. Integer Optional
healthCheckIds A list of health check configuration IDs that the site will use to verify the health of the endpoints. String Optional
gslbRuleIds A list of GSLB rule IDs that will be used to evaluate incoming queries from the site. String Optional

Notes:

  • You can specify up to three namespaces for a site.
  • You can set an explicit order for the namespaces assigned to a site.
  • To remove site-specific settings and revert to global settings for the specified site, supply an empty list of servers.
  • timeZone: A list of acceptable time zones is available at this link.
  • If the value of streamDataToCI is false, loggingEndpointId must have a value. You must choose at least one destination for the DNS queries. DNS queries can also be sent to both the BlueCat Edge Cloud console and the local logging endpoint.

Successful response

204 NO CONTENT
Content-Type: application/JSON
Possible error codes
  • UNAUTHORIZED
  • ERROR_INVALID_ARGUMENT
  • ERROR_DUPLICATE_SITE
  • UNEXPECTED_ERROR